## com.google.appengine.api.capabilities
Class CapabilityState

    java.lang.Object
      com.google.appengine.api.capabilities.CapabilityState

    public class CapabilityState

extends java.lang.Object

Represents the state of a `Capability`.

The state of a capability is valid at a particular point in time. If a particular capability is enabled at time T, there is no guarantee as to if it will be available at time T+1. When a maintenance period is scheduled, there will be usually advance notice as to when the capability is disabled.

Method Summary
`Capability` `getCapability()` Returns the capability associated with this `CapabilityState`.
`java.util.Date` `getScheduledDate()` Returns the schedule date of maintenance for this activity.
`CapabilityStatus` `getStatus()` Returns the status of the capability.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCapability

    public Capability getCapability()

  Returns the capability associated with this `CapabilityState`.

  Returns:
    the capability associated with this `CapabilityState`.

### getStatus

    public CapabilityStatus getStatus()

  Returns the status of the capability.

  Returns:
    the status of the capability.

### getScheduledDate

    public java.util.Date getScheduledDate()

  Returns the schedule date of maintenance for this activity. This call will return a `Date` instance if and only if the status is SCHEDULED_MAINTENANCE.

  Returns:
    the schedule maintenance date for this activity or `null` if no maintenance is planned.